summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/replacer')
-rw-r--r--dev-util/replacer/Manifest1
-rw-r--r--dev-util/replacer/metadata.xml16
-rw-r--r--dev-util/replacer/replacer-0.1.ebuild32
3 files changed, 49 insertions, 0 deletions
diff --git a/dev-util/replacer/Manifest b/dev-util/replacer/Manifest
new file mode 100644
index 00000000..adb86da3
--- /dev/null
+++ b/dev-util/replacer/Manifest
@@ -0,0 +1 @@
+DIST replacer-0.1.tar.gz 6049 SHA512 c008be4c090a83f0f3a179ca8c7287b75a585368acfdd7edb30335df8e68f5bca4ebde37814a745ed48c2d7380345ee7174587d37ae78e5329c345e70b007899
diff --git a/dev-util/replacer/metadata.xml b/dev-util/replacer/metadata.xml
new file mode 100644
index 00000000..b6731dc7
--- /dev/null
+++ b/dev-util/replacer/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/replacer</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-util/replacer/replacer-0.1.ebuild b/dev-util/replacer/replacer-0.1.ebuild
new file mode 100644
index 00000000..6d6e7aa9
--- /dev/null
+++ b/dev-util/replacer/replacer-0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+RESTRICT="mirror"
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6}} )
+inherit python-any-r1
+
+DESCRIPTION="Search and replace python regular expressions within many files interactively"
+HOMEPAGE="https://github.com/vaeth/replacer/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}"
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env python$"#!'"${EPREFIX}/usr/bin/python"'"' \
+ -- bin/* || die
+ default
+}
+
+src_install() {
+ dobin bin/*
+ dodoc README.md
+ insinto /usr/share/zsh/site-functions
+ doins zsh/_*
+}